Subject: bug#3607: 23.0.94; odd character in fringe.el

From: Kenichi Handa <[email-masked]>
Date: Fri, 19 Jun 2009 09:47:28 +0900

I've just added "coding: utf-8" cookie to fringe.el.

---
Kenichi Handa
[email-masked]

In article <[email-masked]>, Lennart Borgman <[email-masked]> writes:

> On Thu, Jun 18, 2009 at 11:08 PM, Drew Adams<[email-masked]> wrote:
>>> Yes, the file shows correctly with "emacs -Q lisp/fringe.el"
>>> too. And it is UTF-8 encoded file.
>>> 
>>>     $ file lisp/fringe.el
>>>     lisp/fringe.el: UTF-8 Unicode English text
>>> 
>>> My Debian GNU/Linux system uses UTF-8 locale (as all GNU/Linux systems
>>> do these days). Emacs probably detects my environment and uses correct
>>> encoding settings. But I don't know Emacs works - except
>>> everything just
>>> works. :-)
>>> 
>>> It really seems that your default environment is something other than
>>> UTF-8, something single-byte.
> >
> > OK, thanks for checking.
> >
> > IMO, if the file should be encoded in UTF-8, then the file itself should control
> > that - as buff-menu.el does, for instance. The user's locale shouldn't enter
> > into it at this level. Seems like a bug, to me. (But I'm no expert on this.)

> Yes, that must be a bug.